org.apache.thrift.protocol

## Class TMap

- java.lang.Object
- - org.apache.thrift.protocol.TMap

-     public final class TMap
      extends java.lang.Object

  Helper class that encapsulates map metadata.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `keyType`
    `int` | `size`
    `byte` | `valueType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TMap()`
    `TMap(byte k, byte v, int s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyType

          public final byte keyType

    - #### valueType

          public final byte valueType

    - #### size

          public final int size

  - ### Constructor Detail

    - #### TMap

          public TMap()

    - #### TMap

          public TMap(byte k,
              byte v,
              int s)